cdac.medinfo.sdk.hl7282.baselibs.segments

## Class TCC

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.TCC

- All Implemented Interfaces:
    ISegment

      public class TCC
      extends Segment

  TCC - Test Code Configuration Segment

  The test (e.g., analyte) code configuration segment is the data necessary to maintain and transmit information concerning the test entity codes that are being used throughout the "automated system."

  Represents an HL7 TCC message segment. This segment has the following fields:

  TCC-1: Universal Service Identifier (CWE)Required
  TCC-2: Test Application Identifier (EI)Required
  TCC-3: Specimen Source (SPS)Withdrawn
  TCC-4: Auto-Dilution Factor Default (SN)Optional
  TCC-5: Rerun Dilution Factor Default (SN)Optional
  TCC-6: Pre-Dilution Factor Default (SN)Optional
  TCC-7: Endogenous Content of Pre-Dilution Diluent (SN)Optional
  TCC-8: Inventory Limits Warning Level (NM)Optional
  TCC-9: Automatic Rerun Allowed (ID)Optional
  TCC-10: Automatic Repeat Allowed (ID)Optional
  TCC-11: Automatic Reflex Allowed (ID)Optional
  TCC-12: Equipment Dynamic Range (SN)Optional
  TCC-13: Units (CWE)Optional
  TCC-14: Processing Type (CWE)Optional
  TCC-15: Test Criticality (CWE)Optional

  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TCC()` Constructs the TCC segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SN` | `getAutoDilutionFactorDefault()` Retrieves the Auto Dilution Factor Default.
    `ID` | `getAutomaticReflexAllowed()` Retrieves the Automatic Reflex Allowed.
    `ID` | `getAutomaticRepeatAllowed()` Retrieves the Automatic Repeat Allowed.
    `ID` | `getAutomaticRerunAllowed()` Retrieves the Automatic Rerun Allowed.
    `SN` | `getEndogenousContentofPreDilutionDiluent()` Retrieves the Endogenous Content of Pre Dilution Diluent.
    `SN` | `getEquipmentDynamicRange()` Retrieves the Equipment Dynamic Range.
    `NM` | `getInventoryLimitsWarningLevel()` Retrieves the Inventory Limits Warning Level.
    `SN` | `getPreDilutionFactorDefault()` Retrieves the Pre Dilution Factor Default.
    `CWE` | `getProcessingType()` Retrieves the Processing Type.
    `SN` | `getRerunDilutionFactorDefault()` Retrieves the Rerun Dilution Factor Default.
    `EI` | `getTestApplicationIdentifier()` Retrieves the Test Application Identifier.
    `CWE` | `getTestCriticality()` Retrieves the Test Criticality.
    `CWE` | `getUnits()` Retrieves the Units.
    `CWE` | `getUniversalServiceIdentifier()` Retrieves the Universal Service Identifier.
    `void` | `setAutoDilutionFactorDefault(SN objautoDilutionFactorDefault)` Set the Auto Dilution Factor Default.
    `void` | `setAutoDilutionFactorDefault(java.lang.String strComparator, java.lang.String strNum1, java.lang.String strSeparatorSuffix, java.lang.String strNum2)` Set the Auto Dilution Factor Default.
    `void` | `setAutomaticReflexAllowed(ID objautomaticReflexAllowed)` Set the Automatic Reflex Allowed.
    `void` | `setAutomaticReflexAllowed(java.lang.String strActionCode)` Set the Automatic Reflex Allowed.
    `void` | `setAutomaticRepeatAllowed(ID objautomaticRepeatAllowed)` Set the Automatic Repeat Allowed.
    `void` | `setAutomaticRepeatAllowed(java.lang.String strActionCode)` Set the Automatic Repeat Allowed.
    `void` | `setAutomaticRerunAllowed(ID objautomaticRerunAllowed)` Set the Automatic Rerun Allowed.
    `void` | `setAutomaticRerunAllowed(java.lang.String strActionCode)` Set the Automatic Rerun Allowed.
    `void` | `setEndogenousContentofPreDilutionDiluent(SN objendogenousContentofPreDilutionDiluent)` Set the Endogenous Content of Pre Dilution Diluent.
    `void` | `setEndogenousContentofPreDilutionDiluent(java.lang.String strComparator, java.lang.String strNum1, java.lang.String strSeparatorSuffix, java.lang.String strNum2)` Set the Endogenous Content of Pre Dilution Diluent.
    `void` | `setEquipmentDynamicRange(SN objequipmentDynamicRange)` Set the Equipment Dynamic Range.
    `void` | `setEquipmentDynamicRange(java.lang.String strComparator, java.lang.String strNum1, java.lang.String strSeparatorSuffix, java.lang.String strNum2)` Set the Equipment Dynamic Range.
    `void` | `setInventoryLimitsWarningLevel(NM objinventoryLimitsWarningLevel)` Set the Inventory Limits Warning Level.
    `void` | `setInventoryLimitsWarningLevel(java.lang.String strPolicyLimitDays)` Set the Inventory Limits Warning Level.
    `void` | `setPreDilutionFactorDefault(SN objpreDilutionFactorDefault)` Set the Pre Dilution Factor Default.
    `void` | `setPreDilutionFactorDefault(java.lang.String strComparator, java.lang.String strNum1, java.lang.String strSeparatorSuffix, java.lang.String strNum2)` Set the Pre Dilution Factor Default.
    `void` | `setProcessingType(CWE objprocessingType)` Set the Processing Type.
    `void` | `setProcessingType(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Processing Type.
    `void` | `setRerunDilutionFactorDefault(SN objrerunDilutionFactorDefault)` Set the Rerun Dilution Factor Default.
    `void` | `setRerunDilutionFactorDefault(java.lang.String strComparator, java.lang.String strNum1, java.lang.String strSeparatorSuffix, java.lang.String strNum2)` Set the Rerun Dilution Factor Default.
    `void` | `setTestApplicationIdentifier(EI objtestApplicationIdentifier)` Set the Test Application Identifier.
    `void` | `setTestApplicationIdentifier(java.lang.String strEntityIdentifier, java.lang.String strNamespaceId, java.lang.String strUniversalId, java.lang.String strUniversalIdType)` Set the Test Application Identifier.
    `void` | `setTestCriticality(CWE objTestCriticality)` Set the Test Criticality.
    `void` | `setTestCriticality(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Test Criticality.
    `void` | `setUnits(CWE objunits)` Set the Units.
    `void` | `setUnits(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Units.
    `void` | `setUniversalServiceIdentifier(CWE objuniversalServiceIdentifier)` Set the Universal Service Identifier.
    `void` | `setUniversalServiceIdentifier(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Universal Service Identifier.
    `boolean` | `validate()` Validates HL7 Message objects .

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TCC

          public TCC()

      Constructs the TCC segment.

  - ### Method Detail

    - #### getAutoDilutionFactorDefault

          public SN getAutoDilutionFactorDefault()

      Retrieves the Auto Dilution Factor Default. This field specify the value that is to be used as the default factor for automatically diluting a specimen by an instrument for this particular test code.
      Returns:
        SN - autoDilutionFactorDefault

    - #### getAutomaticReflexAllowed

          public ID getAutomaticReflexAllowed()

      Retrieves the Automatic Reflex Allowed. This field identifies whether automatic or manual reflex testing is to be initiated on specimens for this particular test code
      Returns:
        String - automaticReflexAllowed

    - #### getAutomaticRepeatAllowed

          public ID getAutomaticRepeatAllowed()

      Retrieves the Automatic Repeat Allowed. This field identifies whether automatic repeat testing is to be initiated on specimens for this particular test code or not.
      Returns:
        String - automaticRepeatAllowed

    - #### getAutomaticRerunAllowed

          public ID getAutomaticRerunAllowed()

      Retrieves the Automatic Rerun Allowed. This field identifies whether automatic reruns are to be initiated on specimens for this particular test code or not.
      Returns:
        String - automaticRerunAllowed

    - #### getEndogenousContentofPreDilutionDiluent

          public SN getEndogenousContentofPreDilutionDiluent()

      Retrieves the Endogenous Content of Pre Dilution Diluent. This field represents a baseline value for the measured test that is inherently contained in the diluent.
      Returns:
        SN - endogenousContentofPreDilutionDiluent

    - #### getEquipmentDynamicRange

          public SN getEquipmentDynamicRange()

      Retrieves the Equipment Dynamic Range. This field specify the range over which the equipment can produce results.
      Returns:
        SN - equipmentDynamicRange

    - #### getInventoryLimitsWarningLevel

          public NM getInventoryLimitsWarningLevel()

      Retrieves the Inventory Limits Warning Level. This field specify the value that is to be used as the threshold for initiating inventory warning-level messages.
      Returns:
        String - inventoryLimitsWarningLevel

    - #### getPreDilutionFactorDefault

          public SN getPreDilutionFactorDefault()

      Retrieves the Pre Dilution Factor Default. This field specify the value that is to be used as the default factor for a specimen that is delivered to the laboratory automation system as pre-diluted for this particular test code.
      Returns:
        SN - preDilutionFactorDefault

    - #### getProcessingType

          public CWE getProcessingType()

      Retrieves the Processing Type. This field identify the processing type that applies to this test code.
      Returns:
        CWE - processingType

    - #### getRerunDilutionFactorDefault

          public SN getRerunDilutionFactorDefault()

      Retrieves the Rerun Dilution Factor Default. This field specify the value that is to be used as the default factor for automatically diluting a specimen in case of rerun for this particular test code.
      Returns:
        SN - rerunDilutionFactorDefault

    - #### getTestApplicationIdentifier

          public EI getTestApplicationIdentifier()

      Retrieves the Test Application Identifier. This field identifies the test application code assigned by the manufacturer of the equipment or reagents and associated with performing of the particular test specified by the Universal Test Identifier.
      Returns:
        EI - testApplicationIdentifier

    - #### getUnits

          public CWE getUnits()

      Retrieves the Units.
      Returns:
        CWE - units

    - #### getUniversalServiceIdentifier

          public CWE getUniversalServiceIdentifier()

      Retrieves the Universal Service Identifier. This field identifies the test code that information is being transmitted.
      Returns:
        CWE - universalServiceIdentifier

    - #### setAutoDilutionFactorDefault

          public void setAutoDilutionFactorDefault(java.lang.String strComparator,
                                          java.lang.String strNum1,
                                          java.lang.String strSeparatorSuffix,
                                          java.lang.String strNum2)

      Set the Auto Dilution Factor Default. This field specify the value that is to be used as the default factor for automatically diluting a specimen by an instrument for this particular test code.
      Parameters:
        `strComparator` - Specifies as greater than, less than, greater than or equal, less than or equal, equal, and not equal, respectively
        `strNum1` - Specifies A number.
        `strSeparatorSuffix` - Specifies Separat or Suffix
        `strNum2` - Specifies A number or null depending on the measurement.

    - #### setAutoDilutionFactorDefault

          public void setAutoDilutionFactorDefault(SN objautoDilutionFactorDefault)

      Set the Auto Dilution Factor Default. This field specify the value that is to be used as the default factor for automatically diluting a specimen by an instrument for this particular test code.
      Parameters:
        `objautoDilutionFactorDefault` - Object of Auto Dilution Factor Default.

    - #### setAutomaticReflexAllowed

          public void setAutomaticReflexAllowed(java.lang.String strActionCode)

      Set the Automatic Reflex Allowed. This field identifies whether automatic or manual reflex testing is to be initiated on specimens for this particular test code
      Parameters:
        `strActionCode` - Specifies the the intent of the message

    - #### setAutomaticReflexAllowed

          public void setAutomaticReflexAllowed(ID objautomaticReflexAllowed)

      Set the Automatic Reflex Allowed. This field identifies whether automatic or manual reflex testing is to be initiated on specimens for this particular test code
      Parameters:
        `objautomaticReflexAllowed` - Object of Automatic Reflex Allowed.

    - #### setAutomaticRepeatAllowed

          public void setAutomaticRepeatAllowed(java.lang.String strActionCode)

      Set the Automatic Repeat Allowed. This field identifies whether automatic repeat testing is to be initiated on specimens for this particular test code or not.
      Parameters:
        `strActionCode` - Specifies the the intent of the message

    - #### setAutomaticRepeatAllowed

          public void setAutomaticRepeatAllowed(ID objautomaticRepeatAllowed)

      Set the Automatic Repeat Allowed. This field identifies whether automatic repeat testing is to be initiated on specimens for this particular test code or not.
      Parameters:
        `objautomaticRepeatAllowed` - Object of Automatic Repeat Allowed.

    - #### setAutomaticRerunAllowed

          public void setAutomaticRerunAllowed(java.lang.String strActionCode)

      Set the Automatic Rerun Allowed. This field identifies whether automatic reruns are to be initiated on specimens for this particular test code or not.
      Parameters:
        `strActionCode` - Specifies the the intent of the message

    - #### setAutomaticRerunAllowed

          public void setAutomaticRerunAllowed(ID objautomaticRerunAllowed)

      Set the Automatic Rerun Allowed. This field identifies whether automatic reruns are to be initiated on specimens for this particular test code or not.
      Parameters:
        `objautomaticRerunAllowed` - Object of Automatic Rerun Allowed.

    - #### setEndogenousContentofPreDilutionDiluent

          public void setEndogenousContentofPreDilutionDiluent(java.lang.String strComparator,
                                                      java.lang.String strNum1,
                                                      java.lang.String strSeparatorSuffix,
                                                      java.lang.String strNum2)

      Set the Endogenous Content of Pre Dilution Diluent. This field represents a baseline value for the measured test that is inherently contained in the diluent.
      Parameters:
        `strComparator` - Specifies as greater than, less than, greater than or equal, less than or equal, equal, and not equal, respectively
        `strNum1` - Specifies A number.
        `strSeparatorSuffix` - Specifies Separat or Suffix
        `strNum2` - Specifies A number or null depending on the measurement.

    - #### setEndogenousContentofPreDilutionDiluent

          public void setEndogenousContentofPreDilutionDiluent(SN objendogenousContentofPreDilutionDiluent)

      Set the Endogenous Content of Pre Dilution Diluent. This field represents a baseline value for the measured test that is inherently contained in the diluent.
      Parameters:
        `objendogenousContentofPreDilutionDiluent` - Object of Endogenous Content of Pre Dilution Diluent.

    - #### setEquipmentDynamicRange

          public void setEquipmentDynamicRange(java.lang.String strComparator,
                                      java.lang.String strNum1,
                                      java.lang.String strSeparatorSuffix,
                                      java.lang.String strNum2)

      Set the Equipment Dynamic Range. This field specify the range over which the equipment can produce results.
      Parameters:
        `strComparator` - Specifies as greater than, less than, greater than or equal, less than or equal, equal, and not equal, respectively
        `strNum1` - Specifies A number.
        `strSeparatorSuffix` - Specifies Separate or Suffix
        `strNum2` - Specifies A number or null depending on the measurement.

    - #### setEquipmentDynamicRange

          public void setEquipmentDynamicRange(SN objequipmentDynamicRange)

      Set the Equipment Dynamic Range. This field specify the range over which the equipment can produce results.
      Parameters:
        `objequipmentDynamicRange` - Object of Equipment Dynamic Range.

    - #### setInventoryLimitsWarningLevel

          public void setInventoryLimitsWarningLevel(java.lang.String strPolicyLimitDays)

      Set the Inventory Limits Warning Level. This field specify the value that is to be used as the threshold for initiating inventory warning-level messages.
      Parameters:
        `strPolicyLimitDays` - Specifies the maximum number of days that the insurance policy will cover.

    - #### setInventoryLimitsWarningLevel

          public void setInventoryLimitsWarningLevel(NM objinventoryLimitsWarningLevel)

      Set the Inventory Limits Warning Level. This field specify the value that is to be used as the threshold for initiating inventory warning-level messages.
      Parameters:
        `objinventoryLimitsWarningLevel` - Object of Inventory Limits Warning Level.

    - #### setPreDilutionFactorDefault

          public void setPreDilutionFactorDefault(java.lang.String strComparator,
                                         java.lang.String strNum1,
                                         java.lang.String strSeparatorSuffix,
                                         java.lang.String strNum2)

      Set the Pre Dilution Factor Default. This field specify the value that is to be used as the default factor for a specimen that is delivered to the laboratory automation system as pre-diluted for this particular test code.
      Parameters:
        `strComparator` - Specifies as greater than, less than, greater than or equal, less than or equal, equal, and not equal, respectively
        `strNum1` - Specifies A number.
        `strSeparatorSuffix` - Specifies Separat or Suffix
        `strNum2` - Specifies A number or null depending on the measurement.

    - #### setPreDilutionFactorDefault

          public void setPreDilutionFactorDefault(SN objpreDilutionFactorDefault)

      Set the Pre Dilution Factor Default. This field specify the value that is to be used as the default factor for a specimen that is delivered to the laboratory automation system as pre-diluted for this particular test code.
      Parameters:
        `objpreDilutionFactorDefault` - Object of Pre Dilution Factor Default.

    - #### setRerunDilutionFactorDefault

          public void setRerunDilutionFactorDefault(java.lang.String strComparator,
                                           java.lang.String strNum1,
                                           java.lang.String strSeparatorSuffix,
                                           java.lang.String strNum2)

      Set the Rerun Dilution Factor Default. This field specify the value that is to be used as the default factor for automatically diluting a specimen in case of rerun for this particular test code.
      Parameters:
        `strComparator` - Specifies as greater than, less than, greater than or equal, less than or equal, equal, and not equal, respectively
        `strNum1` - Specifies A number.
        `strSeparatorSuffix` - Specifies Separat or Suffix
        `strNum2` - Specifies A number or null depending on the measurement.

    - #### setRerunDilutionFactorDefault

          public void setRerunDilutionFactorDefault(SN objrerunDilutionFactorDefault)

      Set the Rerun Dilution Factor Default. This field specify the value that is to be used as the default factor for automatically diluting a specimen in case of rerun for this particular test code.
      Parameters:
        `objrerunDilutionFactorDefault` - Object of Rerun Dilution Factor Default.

    - #### setProcessingType

          public void setProcessingType(java.lang.String strIdentifier,
                               java.lang.String strText,
                               java.lang.String strNameOfCodingSystem,
                               java.lang.String strAlternateIdentifier,
                               java.lang.String strAlternateText,
                               java.lang.String strNameOfAlternateCodingSystem,
                               java.lang.String strCodingSystemVersionID,
                               java.lang.String strAlternateCodingSystemVersionId,
                               java.lang.String strOriginalText,
                               java.lang.String strSecondAlternateIdentifier,
                               java.lang.String strSecondAlternateText,
                               java.lang.String strNameofSecondAlternateCodingSystem,
                               java.lang.String strSecondAlternateCodingSystemVersionID,
                               java.lang.String strCodingSystemOID,
                               java.lang.String strValueSetOID,
                               java.lang.String strValueSetVersionID,
                               java.lang.String strAlternateCodingSystemOID,
                               java.lang.String strAlternateValueSetOID,
                               java.lang.String strAlternateValueSetVersionID,
                               java.lang.String strSecondAlternateCodingSystemOID,
                               java.lang.String strSecondAlternateValueSetOID,
                               java.lang.String strSecondAlternateValueSetVersionID)

      Set the Processing Type. This field identify the processing type that applies to this test code.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setProcessingType

          public void setProcessingType(CWE objprocessingType)

      Set the Processing Type. This field identify the processing type that applies to this test code.
      Parameters:
        `objprocessingType` - Object of Processing Type.

    - #### setTestApplicationIdentifier

          public void setTestApplicationIdentifier(java.lang.String strEntityIdentifier,
                                          java.lang.String strNamespaceId,
                                          java.lang.String strUniversalId,
                                          java.lang.String strUniversalIdType)

      Set the Test Application Identifier. This field identifies the test application code assigned by the manufacturer of the equipment or reagents and associated with performing of the particular test specified by the Universal Test Identifier.
      Parameters:
        `strEntityIdentifier` - Specifies defined by a hierarchic designator, represented by components 2 through 4. [Reference Section 2.A.33, "HD - hierarchic designator".]
        `strNamespaceId` - Specifies the HL7 identifier for the user-defined table of values for this component. [Refer to User-defined Table 0363 - Assigning authority]
        `strUniversalId` - Specifies string formatted according to the scheme defined by the component, (UID type).
        `strUniversalIdType` - Specifies the interpretation of the second component of the HD.

    - #### setTestApplicationIdentifier

          public void setTestApplicationIdentifier(EI objtestApplicationIdentifier)

      Set the Test Application Identifier. This field identifies the test application code assigned by the manufacturer of the equipment or reagents and associated with performing of the particular test specified by the Universal Test Identifier.
      Parameters:
        `objtestApplicationIdentifier` - Object of Test Application Identifier.

    - #### setUnits

          public void setUnits(java.lang.String strIdentifier,
                      java.lang.String strText,
                      java.lang.String strNameOfCodingSystem,
                      java.lang.String strAlternateIdentifier,
                      java.lang.String strAlternateText,
                      java.lang.String strNameOfAlternateCodingSystem,
                      java.lang.String strCodingSystemVersionID,
                      java.lang.String strAlternateCodingSystemVersionId,
                      java.lang.String strOriginalText,
                      java.lang.String strSecondAlternateIdentifier,
                      java.lang.String strSecondAlternateText,
                      java.lang.String strNameofSecondAlternateCodingSystem,
                      java.lang.String strSecondAlternateCodingSystemVersionID,
                      java.lang.String strCodingSystemOID,
                      java.lang.String strValueSetOID,
                      java.lang.String strValueSetVersionID,
                      java.lang.String strAlternateCodingSystemOID,
                      java.lang.String strAlternateValueSetOID,
                      java.lang.String strAlternateValueSetVersionID,
                      java.lang.String strSecondAlternateCodingSystemOID,
                      java.lang.String strSecondAlternateValueSetOID,
                      java.lang.String strSecondAlternateValueSetVersionID)

      Set the Units.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setUnits

          public void setUnits(CWE objunits)

      Set the Units.
      Parameters:
        `objunits` - Object of Units.

    - #### setUniversalServiceIdentifier

          public void setUniversalServiceIdentifier(java.lang.String strIdentifier,
                                           java.lang.String strText,
                                           java.lang.String strNameOfCodingSystem,
                                           java.lang.String strAlternateIdentifier,
                                           java.lang.String strAlternateText,
                                           java.lang.String strNameOfAlternateCodingSystem,
                                           java.lang.String strCodingSystemVersionID,
                                           java.lang.String strAlternateCodingSystemVersionId,
                                           java.lang.String strOriginalText,
                                           java.lang.String strSecondAlternateIdentifier,
                                           java.lang.String strSecondAlternateText,
                                           java.lang.String strNameofSecondAlternateCodingSystem,
                                           java.lang.String strSecondAlternateCodingSystemVersionID,
                                           java.lang.String strCodingSystemOID,
                                           java.lang.String strValueSetOID,
                                           java.lang.String strValueSetVersionID,
                                           java.lang.String strAlternateCodingSystemOID,
                                           java.lang.String strAlternateValueSetOID,
                                           java.lang.String strAlternateValueSetVersionID,
                                           java.lang.String strSecondAlternateCodingSystemOID,
                                           java.lang.String strSecondAlternateValueSetOID,
                                           java.lang.String strSecondAlternateValueSetVersionID)

      Set the Universal Service Identifier. This field identifies the test code that information is being transmitted.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setUniversalServiceIdentifier

          public void setUniversalServiceIdentifier(CWE objuniversalServiceIdentifier)

      Set the Universal Service Identifier. This field identifies the test code that information is being transmitted.
      Parameters:
        `objuniversalServiceIdentifier` - Object of Universal Service Identifier.

    - #### getTestCriticality

          public CWE getTestCriticality()

      Retrieves the Test Criticality. This field identifies the test the Test Criticality. The values in this field are used for decisions, which tests should be performed, in case of, e.g., insufficient specimen volume.
      Returns:
        CWE - TestCriticality

    - #### setTestCriticality

          public void setTestCriticality(java.lang.String strIdentifier,
                                java.lang.String strText,
                                java.lang.String strNameOfCodingSystem,
                                java.lang.String strAlternateIdentifier,
                                java.lang.String strAlternateText,
                                java.lang.String strNameOfAlternateCodingSystem,
                                java.lang.String strCodingSystemVersionID,
                                java.lang.String strAlternateCodingSystemVersionId,
                                java.lang.String strOriginalText,
                                java.lang.String strSecondAlternateIdentifier,
                                java.lang.String strSecondAlternateText,
                                java.lang.String strNameofSecondAlternateCodingSystem,
                                java.lang.String strSecondAlternateCodingSystemVersionID,
                                java.lang.String strCodingSystemOID,
                                java.lang.String strValueSetOID,
                                java.lang.String strValueSetVersionID,
                                java.lang.String strAlternateCodingSystemOID,
                                java.lang.String strAlternateValueSetOID,
                                java.lang.String strAlternateValueSetVersionID,
                                java.lang.String strSecondAlternateCodingSystemOID,
                                java.lang.String strSecondAlternateValueSetOID,
                                java.lang.String strSecondAlternateValueSetVersionID)

      Set the Test Criticality. This field identifies the test the Test Criticality. The values in this field are used for decisions, which tests should be performed, in case of, e.g., insufficient specimen volume.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setTestCriticality

          public void setTestCriticality(CWE objTestCriticality)

      Set the Test Criticality. This field identifies the test the Test Criticality. The values in this field are used for decisions, which tests should be performed, in case of, e.g., insufficient specimen volume.
      Parameters:
        `objTestCriticality` - Object of Test Criticality.

    - #### validate

          public boolean validate()
                           throws InvalidSegmentException

      Validates HL7 Message objects . Validate method checks for validation each and every segments in side the Message object against specified message Structure. Validation checks include optionality of segment or group. It also verifies the number of times segment or group is repeated in message. e.g {PSH} while parsing PSH segment validate method will check for its mandatory presence. [PSH] in this case validate will throw exception if one tries to enter more than one PSH segment.
      Specified by:
        `validate` in interface `ISegment`
      Overrides:
        `validate` in class `Segment`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidSegmentException` - Throws when Segment Validation fails.